<div class="jumbotron jumbotron-fluid bg-light gradient mb-0 pt-5 pb-5">
	<div class="container">
		<div class="text-center text-md-left text-md-start">
			<div class="row align-items-center">
				<div class="col-md-2">
					<img src="<?php echo get_image('forum', $meta->icon, 'thumb'); ?>" class="img-fluid rounded" alt="..." />
				</div>
				<div class="col-md-10">
					<h3 class="mb-0<?php echo (!$meta->description ? ' mt-3' : null); ?>">
						<?php echo $meta->title; ?>
					</h3>
					<p class="lead">
						<?php echo truncate($meta->description, 256); ?>
					</p>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="container pt-3">
	<div class="row">
		<div class="col-6">
			<a href="<?php echo current_page('../../'); ?>" class="btn btn-light rounded-pill --xhr">
				<i class="mdi mdi-arrow-left"></i>
				<span class="d-none d-sm-inline"><?php echo phrase('back_to_categories'); ?></span>
				<span class="d-sm-none"><?php echo phrase('back'); ?></span>
			</a>
		</div>
		<div class="col-6 text-right text-end">
			<a href="<?php echo go_to('create', array('category' => (service('uri')->setSilent()->getSegment(3) ? service('uri')->setSilent()->getSegment(3) : service('request')->getGet('category')))); ?>" class="btn btn-primary rounded-pill --modal">
				<i class="mdi mdi-plus"></i>
				<?php echo phrase('new_topic'); ?>
			</a>
		</div>
	</div>
</div>
<hr />
<div class="container pt-5 pb-5">
	<?php
		if($results)
		{
			foreach($results as $key => $val)
			{
				$attachments						= json_decode($val->topic_attachment, true);
				$icon								= null;
				
				if($attachments)
				{
					foreach($attachments as $src => $label)
					{
						$ext						= strtolower(pathinfo($src, PATHINFO_EXTENSION));
						
						if(in_array($ext, array('jpg', 'jpeg', 'png', 'gif', 'bmp')))
						{
							$icon					= $src;
							
							break;
						}
					}
				}
				
				echo '
					' . ($key ? '<hr />' : null) . '
					<div class="row no-gutters align-items-center">
						<div class="col-3 col-md-2 col-lg-1">
							<a href="' . go_to($val->category_slug . '/' . $val->topic_slug) . '" class="--xhr">
								<img src="' . get_image('forum', $icon, 'thumb') . '" class="img-fluid rounded" alt="..." />
							</a>
						</div>
						<div class="col-9 col-md-8 col-lg-9 pl-3">
							<a href="' . go_to($val->category_slug . '/' . $val->topic_slug) . '" class="--xhr">
								<h5>
									' . $val->topic_title . '
								</h5>
							</a>
							<p class="mb-0">
								' . truncate($val->topic_description, 120) . '
							</p>
							' . ($val->recent_created_at ? '
							<p class="mb-0 text-sm">
								' . phrase('last_post_by') . ' <a href="' . ($val->recent_username ? base_url('user/' . $val->recent_username) : base_url('user', array('user_id' => $val->recent_user_id))) . '" class="font-weight-bold fw-bold --xhr">' .  $val->recent_full_name . '</a> [<span class="" data-toggle="tooltip" data-bs-toggle="tooltip" title="' . date('d F Y, H:i:s', strtotime($val->recent_created_at)) . '">' . time_ago($val->recent_created_at) . '</span>]
							</p>
							' : null) . '
						</div>
						<div class="col-9 offset-3 col-md-2 offset-md-0 col-lg-2 offset-lg-0">
							' . (in_array(get_userdata('group_id'), array(1, 2)) ? '
							<span class="badge badge-secondary bg-secondary rounded-pill text-sm float-right float-end dropdown-toggle" data-toggle="dropdown" data-bs-toggle="dropdown" aria-expanded="false">
								<i class="mdi mdi-dots-vertical"></i>
							</span>
							<div class="dropdown-menu dropdown-menu-right dropdown-menu-end">
								<a href="' . go_to('update', array('topic_id' => $val->topic_id, 'category' => $val->category_slug)) . '" class="dropdown-item --modal">
									<i class="mdi mdi-square-edit-outline"></i>
									' . phrase('update') . '
								</a>
								<a href="' . go_to('delete', array('topic_id' => $val->topic_id, 'category' => $val->category_slug)) . '" class="dropdown-item --open-delete-confirm">
									<i class="mdi mdi-delete"></i>
									' . phrase('delete') . '
								</a>
							</div>
							' : null) . '
							<span class="badge badge-info bg-info rounded-pill text-sm float-left float-start float-md-right float-md-end">
								' . number_format($val->replies_count) . ' ' . ($val->replies_count > 1 ? phrase('replies') : phrase('reply')) . '
							</span>
						</div>
					</div>
				';
			}
			
			echo '
				<div class="pt-3">
					' . $template->pagination . '
				</div>
			';
		}
		else
		{
			echo '
				<div class="text-center">
					<img src="' . get_module_asset('images/not-found.png') . '" class="img-fluid" width="260" />
					<br />
					<h1 class="mb-3">
						' . phrase('whoops') . '
						<br />
						' . phrase('no_topic_made_under_this_category') . '
					</h1>
					<div class="text-muted mb-5">
						' . phrase('why_do_not_you_submit_a_new_topic_and_lets_discuss') . '
					</div>
					<a href="' . go_to('create', array('category' => service('uri')->setSilent()->getSegment(3))) . '" class="btn btn-success rounded-pill --modal">
						<i class="mdi mdi-plus"></i>
						' . phrase('submit_new_topic') . '
					</a>
				</div>
			';
		}
	?>
</div>
