<div class="jumbotron jumbotron-fluid bg-light gradient pt-5 pb-5">
	<div class="container">
		<div class="text-center text-md-left text-md-start">
			<h3 class="mb-0<?php echo (!$meta->description ? ' mt-3' : null); ?>">
				<?php echo $meta->title; ?>
			</h3>
			<p class="lead">
				<?php echo truncate($meta->description, 256); ?>
			</p>
		</div>
	</div>
</div>
<div class="container pt-3">
	<div class="row">
		<div class="col-6">
			<a href="<?php echo current_page('../'); ?>" class="btn btn-light rounded-pill --xhr">
				<i class="mdi mdi-arrow-left"></i>
				<span class="d-none d-sm-inline"><?php echo phrase('back_to_categories'); ?></span>
				<span class="d-sm-none"><?php echo phrase('back'); ?></span>
			</a>
		</div>
		<div class="col-6 text-right text-end">
			<a href="javascript:void(0)" class="btn btn-primary rounded-pill" onclick="jExec($('textarea[name=comments]').first().trigger('focus'))">
				<i class="mdi mdi-reply"></i>
				<?php echo phrase('post_reply'); ?>
			</a>
		</div>
	</div>
</div>
<hr />
<div class="container pt-5 pb-5">
	<div class="row">
		<div class="col-md-8">
			<?php
				if($results)
				{
					foreach($results as $key => $val)
					{
						$attachments				= json_decode($val->topic_attachment, true);
						$attachments_count			= sizeof($attachments);
						$images						= null;
						$files						= null;
						
						if($attachments)
						{
							foreach($attachments as $src => $label)
							{
								$filesize			= get_filesize('forum', $src);
								$ext				= strtolower(pathinfo($src, PATHINFO_EXTENSION));
								
								if(in_array($ext, array('jpg', 'jpeg', 'png', 'gif', 'bmp')))
								{
									$images			.= '
										<a href="' . get_image('forum', $src) . '" target="_blank">
											<img src="' . get_image('forum', $src, 'icon') . '" class="img-fluid rounded" alt="' . $src . '" />
										</a>
									';
								}
								else
								{
									$files			.= '
										<a href="' . get_file('forum', $src) . '" target="_blank" data-bs-toggle="tooltip" title="' . $filesize . ', ' . phrase('click_to_open') . '">
											<label class="d-block">
												' . ($label ? $label : $src) . '
											</label>
										</a>
									';
								}
							}
						}
						
						echo '
							<div class="row">
								<div class="col-2 col-sm-1 pr-0 pe-0">
									<img src="' . get_image('users', $val->photo, 'icon') . '" class="img-fluid rounded" alt="..." />
								</div>
								<div class="col-10 col-sm-11">
									<div class="btn-group float-right float-end">
										<button type="button" class="btn btn-outline-secondary btn-sm rounded-pill dropdown-toggle" data-toggle="dropdown" data-bs-toggle="dropdown" aria-expanded="false">
											<i class="mdi mdi-dots-vertical"></i>
										</button>
										<div class="dropdown-menu dropdown-menu-right dropdown-menu-end">
											' . ($val->user_id === get_userdata('user_id') ? '
											<a class="dropdown-item --modal" href="' . go_to('update', array('topic_id' => $val->topic_id, 'slug' => $segment)) . '"><i class="mdi mdi-square-edit-outline"></i> ' . phrase('update') . '</a>
											<a class="dropdown-item text-danger --modal" href="' . go_to('close', array('topic_id' => $val->topic_id, 'slug' => $segment)) . '"><i class="mdi mdi-check"></i> ' . ($val->status != 2 ? phrase('close_thread') : phrase('reopen_thread')) . '</a>
											' : '
											<a class="dropdown-item text-danger --modal" href="' . go_to('report', array('topic_id' => $val->topic_id, 'slug' => $segment)) . '"><i class="mdi mdi-flag-outline"></i> ' . phrase('report') . '</a>
											') . '
										</div>
									</div>
									<h6 class="mb-0">
										<a href="' . base_url('user', array('user_id' => $val->user_id)) . '" class="--xhr">
											' . $val->first_name . ' ' . $val->last_name . '
										</a>
									</h6>
									' . ($val->username ? '
									<p>
										<span class="text-sm font-weight-light" data-toggle="tooltip" data-bs-toggle="tooltip" title="' . date('d F Y H:i:s', strtotime($val->created_at)) . '">
											' . time_ago($val->created_at) . '
										</span>
									</p>
									' : null) . '
									<div class="article">
										' . preg_replace('/<img src="(.*?)"/i', '<img id="og-image" src="$1" class="img-fluid rounded"', str_replace('MsoNormalTable', 'table table-bordered', preg_replace('/(width|height)="\d*"\s/', '', preg_replace('~<p[^>]*>~', '<p class="text-justify article text-break-word">', preg_replace('/(<[^>]+) style=".*?"/i', '$1', $val->topic_description))))) . '
									</div>
									' . ($images || $files ? '
									<div class="attachments mt-5">
										<h6>' . number_format($attachments_count) . ' ' . ($attachments_count > 1 ? phrase('attachments') : phrase('attachment')) . '</h6>
										' . ($images ? '
										<div>
											' . $images . '
										</div>
										' : null) . '
										' . ($files ? '
										<div>
											' . $files . '
										</div>
										' : null) . '
									</div>
									' : null) . '
								</div>
							</div>
							
							<div role="widget" data-source="' . base_url('xhr/widget/comment', array('type' => 'forum', 'post_id' => $val->topic_id)) . '"></div>
						';
					}
				}
			?>
		</div>
	</div>
</div>

<script type="text/javascript">
	$(document).ready(function()
	{
		$('body').off('click', '.like-post'),
		$('body').on('click', '.like-post', function(e)
		{
			e.preventDefault(),
			$.ajax
			({
				url: '<?php echo go_to('repute'); ?>',
				method: 'POST',
				data:
				{
					topic_id: $(this).attr('data-topic-id'),
					reply_id: $(this).attr('data-reply-id'),
					slug: '<?php echo service('uri')->getPath(); ?>'
				},
				context: this,
				beforeSend: function()
				{
				},
				statusCode:
				{
					403: function(response, status, error)
					{
						if(typeof response.responseJSON !== 'undefined')
						{
							response				= response.responseJSON;
						}
						
						/* play sound */
						(config.action_sound ? warning.play() : null),
						
						/* throw warning messages */
						throw_exception(response.status, response.message)
					},
					404: function(response, status, error)
					{
						if(typeof response.responseJSON !== 'undefined')
						{
							response				= response.responseJSON;
						}
						
						/* play sound */
						(config.action_sound ? warning.play() : null),
						
						/* throw warning messages */
						throw_exception(response.status, response.message)
					},
					500: function(response, status, error)
					{
						if(typeof response.responseJSON !== 'undefined')
						{
							response				= response.responseJSON;
						}
						
						/* play sound */
						(config.action_sound ? fail.play() : null),
						
						/* ajax failed, it's commonly caused by the internal server error, throw error messages */
						throw_exception(500, (typeof response.message !== 'undefined' ? response.message : error))
					}
				}
			})
			.done(function(response)
			{
				if(typeof response.count !== 'undefined')
				{
					$(this).find('.likes-count').text(response.count)
				}
			})
		})
	})
</script>
